JspHelper (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.common, class: JspHelper

Package org.apache.hadoop.hdfs.server.common

# Class JspHelper

java.lang.Object
org.apache.hadoop.hdfs.server.common.JspHelper

@Private public class JspHelper extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CURRENT_CONF`
  `static final String`
  `DELEGATION_PARAMETER_NAME`
  `static final String`
  `NAMENODE_ADDRESS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `checkUsername(String expected, String name)`
  Expected user name should be a short name.
  `static String`
  `getDefaultWebUserName(org.apache.hadoop.conf.Configuration conf)`
  `static String`
  `getRemoteAddr(javax.servlet.http.HttpServletRequest request)`
  `static int`
  `getRemotePort(javax.servlet.http.HttpServletRequest request)`
  `static org.apache.hadoop.security.UserGroupInformation`
  `getUGI(javax.servlet.http.HttpServletRequest request, org.apache.hadoop.conf.Configuration conf)`
  Same as getUGI(null, request, conf).
  `static org.apache.hadoop.security.UserGroupInformation`
  `getUGI(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, org.apache.hadoop.conf.Configuration conf)`
  Same as getUGI(context, request, conf, KERBEROS_SSL, true).
  `static org.apache.hadoop.security.UserGroupInformation`
  `getUGI(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.security.UserGroupInformation.AuthenticationMethod secureAuthMethod, boolean tryUgiParameter)`
  Get `UserGroupInformation` and possibly the delegation token out of the request.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CURRENT_CONF

    public static final String CURRENT_CONF
    See Also:
      - Constant Field Values

  - ### DELEGATION_PARAMETER_NAME

    public static final String DELEGATION_PARAMETER_NAME
    See Also:
      - Constant Field Values

  - ### NAMENODE_ADDRESS

    public static final String NAMENODE_ADDRESS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getDefaultWebUserName

    public static String getDefaultWebUserName(org.apache.hadoop.conf.Configuration conf) throws IOException
    Throws:
      `IOException`

  - ### getUGI

    public static org.apache.hadoop.security.UserGroupInformation getUGI(javax.servlet.http.HttpServletRequest request, org.apache.hadoop.conf.Configuration conf) throws IOException
    Same as getUGI(null, request, conf).
    Throws:
      `IOException`

  - ### getUGI

    public static org.apache.hadoop.security.UserGroupInformation getUGI(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, org.apache.hadoop.conf.Configuration conf) throws IOException
    Same as getUGI(context, request, conf, KERBEROS_SSL, true).
    Throws:
      `IOException`

  - ### getUGI

    public static org.apache.hadoop.security.UserGroupInformation getUGI(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.security.UserGroupInformation.AuthenticationMethod secureAuthMethod, boolean tryUgiParameter) throws IOException
    Get `UserGroupInformation` and possibly the delegation token out of the request.
    Parameters:
      `context` - the ServletContext that is serving this request.
      `request` - the http request
      `conf` - configuration
      `secureAuthMethod` - the AuthenticationMethod used in secure mode.
      `tryUgiParameter` - Should it try the ugi parameter?
    Returns:
      a new user from the request
    Throws:
      `org.apache.hadoop.security.AccessControlException` - if the request has no token
      `IOException`

  - ### getRemoteAddr

    public static String getRemoteAddr(javax.servlet.http.HttpServletRequest request)

  - ### getRemotePort

    public static int getRemotePort(javax.servlet.http.HttpServletRequest request)

  - ### checkUsername

    public static void checkUsername(String expected, String name) throws IOException
    Expected user name should be a short name.
    Throws:
      `IOException`